@echo off & title lzclient服务启动器

echo %~dp0

sc query "lzclient64" > NUL
if not ERRORLEVEL 1 ( 
   echo lzclient64服务存在,即将重启服务
   goto UNINSTALL
) else (
   echo lzclient64服务不存在,即将安装服务
   goto INSTALL
)

:INSTALL
REM 安装lzclient64服务
sc create lzclient64 displayname= "lzclient64" binpath= "%cd%\lzclient64.exe" start= auto
echo lzclient64服务安装成功

:UNINSTALL
REM 停止lzclient64服务
net stop lzclient64
REM 卸载lzclient64服务
sc delete lzclient64 
goto INSTALL



